
QGIS Application - Bug report #3727

Features not represented with rule-based renderer still get labelled

2011-04-13 12:44 PM - Mayeul Kauffmann

Status: Closed

Priority: Low

Assignee:

Category: Symbology

Affected QGIS version:1.7.4 Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13786

Description

With the rule-based renderer, it is possible to have sets of rules that do not represent some features: if some feature are not matched by

any rule (due to a filter or a scale criterion), they are not represented (which is normal), but their labels are still displayed, which is a bug.

This affects the old labelling engine and Label-NG, in the map canvas and the map composer.

The behavior should be the same as with the categorized renderer: if you delete one of the categories, the corresponding features are no

longer represented AND the corresponding labels disappear.

History

#1 - 2011-04-20 01:51 PM - Mayeul Kauffmann

For related bugs see http://trac.osgeo.org/qgis/ticket/3737#comment:2

#2 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-02-24 02:04 AM - Mayeul Kauffmann

- Affected QGIS version set to 1.7.4

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

Still buggy in 1.7.4 but fixed in current 1.9 master (which commit?)

#4 - 2012-04-16 06:27 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-08-06 05:57 PM - Alister Hood

The category for this should possibly be "labelling".

But is there even a reason this ticket is still open?  It is fixed as far as I can see.

#6 - 2012-08-12 01:18 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to fixed
http://trac.osgeo.org/qgis/ticket/3737#comment:2


Alister Hood wrote:

The category for this should possibly be "labelling".

But is there even a reason this ticket is still open?  It is fixed as far as I can see.

If is fixed, then we close it :)

2025-04-27 2/2


